#if 0

#include "main.h"

TTF_Font *smallfont;
TTF_Font *largefont;

#ifdef WIN32
// Returns file name from registry (must be freed) or the name passed to it on failure.
char *get_font(const char *name)
{
	char ttfname[strlen(name)+strlen(" (TrueType)")+1];
	sprintf(ttfname,"%s (TrueType)",name);
	LONG lResult;
	HKEY hKey;
	DWORD len;
	char *path;

	if (RegOpenKeyEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\Fonts\\", 0, KEY_QUERY_VALUE, &hKey) != ERROR_SUCCESS)
		return (char *)name;
	RegQueryInfoKey(hKey,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,&len,NULL,NULL);
	len++;
	char file[len];
	lResult = RegQueryValueEx(hKey,ttfname,NULL,NULL,file,&len);
	RegCloseKey(hKey);
	if (lResult != ERROR_SUCCESS)
		return (char *)name;
	path = malloc(strlen("%SystemRoot%\\Fonts\\")+strlen(file)+1);
	sprintf(path,"%%SystemRoot%%\\Fonts\\%s",file);
	return path;
}
#else
// Dunno how to do it on other OSes, so we'll just hope "name" is a file.
const char *get_font(const char *name) { return name; }
#endif

#endif
